Skip to main content
POST
/
v2
/
customer-segments
Create Customer Segment
curl --request POST \
  --url https://api.example.com/v2/customer-segments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "priority": 1,
  "description": "<string>",
  "conditions": {
    "address": {
      "country": {
        "in": [
          "<string>"
        ],
        "nin": [
          "<string>"
        ]
      }
    },
    "businessUnit": {
      "name": {
        "in": [
          "<string>"
        ],
        "nin": [
          "<string>"
        ]
      }
    },
    "customFields": {},
    "and": [
      "<unknown>"
    ],
    "or": [
      "<unknown>"
    ]
  }
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "priority": 123,
  "conditions": {},
  "object": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

The name of the segment (case-insensitive unique per org).

Required string length: 1 - 128
priority
integer
required

Lower number = higher priority for conflict resolution when partner matches multiple segments.

Required range: x >= 0
description
string | null

Optional description of what this segment represents.

conditions
SegmentConditionsInput · object

Segment filter conditions. Use and_/or_ to combine conditions.

Response

Successful Response

created_at
string<date-time>
required
modified_at
string<date-time> | null
required
id
string
required
name
string
required

The name of the segment (case-insensitive unique per org).

description
string | null
required

Optional description of what this segment represents.

priority
integer
required

Lower number = higher priority for conflict resolution when partner matches multiple segments.

conditions
object
required

Rules that determine which partners belong to this segment.

object
string
required
read-only

String representing the object's type. Objects of the same type share the same value.